<?php
error_reporting(0);
require 'auth.php';

if(isset($_GET['domain']))
	$domain_id = $_GET['domain'];

require_once ('class.template.php');

include "../config.php";
include "connect.php";

$rowsperpage=30; $pagenum=1;

if(isset($_GET['page']))
{
    $pagenum = $_GET['page'];
}

$offset = ($pagenum - 1) * $rowsperpage;

$data = $sql->select(array('table'=>'links_campaigns'));
$numrows = count($data);

$maxPage = ceil($numrows/$rowsperpage);
for($page = 1; $page <= $maxPage; $page++)
{
   if ($page == $pagenum)
   {
      $pagination .= " $page "; // no need to create a link to current page
   }
   else
   {
      $pagination .= " <a href=\"links_index.php?page=$page\">$page</a> ";
   }
}


$page = new template();

$dropdown = '<select name="redirect_domain_id">';

$data = $sql->select(array('table'=>'links_domains','orderby'=>array('domain','asc')));

foreach($data as $key => $domain){
	$dropdown .= '<option value="' . $domain['id'] . '">' . $domain['domain'] . '</option>';
}

$dropdown .= '</select>';


$dropdown2 = '<select name="domain">';
$dropdown2 .= '<option value="all">All Domains</option>';

$data = $sql->select(array('table'=>'links_domains','orderby'=>array('domain','asc')));
$count_domains = count($data);

foreach($data as $key => $domain){
	if($domain_id == $domain['id'])
	{
		$selected='selected="selected"';
	}
	else{
		$selected='';
	}
	$dropdown2 .= '<option value="' . $domain['id'] . '" ' . $selected . '>' . $domain['domain'] . '</option>';
}

$dropdown2 .= '</select>';


if(isset($domain_id) && $domain_id != 'all')
{
	$where = array('redirect_domain_id='.$domain_id);

}
else
{
	$where = array('1=1');
}

if(isset($_GET['sort']))
{
	$_SESSION['sort']=$_GET['sort'];
	$_SESSION['dir']=$_GET['dir'];
}

if(isset($_SESSION['sort'])) {
	$orderby = array($_SESSION['sort'],$_SESSION['dir']);
}
else
{
	$orderby = array('campaign','asc');
}


$min = -1;
if($offset<$rowsperpage)
{
	$offset--;
	$min = 0;
}

$limit = array($offset,$offset + $rowsperpage + $min);

if(isset($domain_id) && $domain_id != 'all')
{
	$data = $sql->select(array('table'=>'links_campaigns','where'=>$where,'orderby'=>$orderby,'limit'=>$limit));
}
else
{
	$data = $sql->select(array('table'=>'links_campaigns','orderby'=>$orderby,'limit'=>$limit));
}

$table = '';
$counter = 1;

foreach($data as $key => $row){
	$data2 = $sql->select(array('select'=>array('domain'),'table'=>'links_domains','where'=>array('id='.$row['redirect_domain_id'])));
	$domain = $data2[0]['domain'];

	$counter = $counter+1;
	if($counter%2==0){$bc = "#E4E3FF";}
	else{$bc = "#fff";}

	if($row['clicks']=="")
		$row['clicks'] = 0;
	if($row['first_click']=="")
		$row['first_click'] = "N/A";
	else
		$row['first_click'] = date("Y-m-d", $row['first_click']);
	if($row['last_click']=="")
		$row['last_click'] = "N/A";	
	else
		$row['last_click'] = date("Y-m-d", $row['last_click']);

	$table .= '<tr>';

	$table .= '<td style="background: '.$bc.'; padding-top: 4px; padding-bottom: 4px;" align="left">' . $row['campaign'] . '</td>';
	$table .= '<td style="background: '.$bc.'; padding-top: 4px; padding-bottom: 4px;" align="left"><a href="http://' . $domain . $row['redirect_folder'] . '" target="_blank">' . $row['redirect_folder'] . '</td>';
	$table .= '<td style="background: '.$bc.'; padding-top: 4px; padding-bottom: 4px;" align="left">' . $row['first_click'] . '</td>';
	$table .= '<td style="background: '.$bc.'; padding-top: 4px; padding-bottom: 4px;" align="left">' . $row['last_click'] . '</td>';
	$table .= '<td style="background: '.$bc.'; padding-top: 4px; padding-bottom: 4px;" align="left">' . $row['clicks'] . '</td>';
	$table .= '<td style="background: '.$bc.'; padding-top: 4px; padding-bottom: 4px;" align="right">';
	if($row['login_url'] != '') {
		$table .= '<a target="_blank" href="' . $row['login_url'] . '" title="Login: ' . $row['username'] . ' / ' . $row['password'] . '">Login</a> - ';
	}
	$table .= '<a href="links_editcampaign.php?id=' . $row['id'] . '">Edit</a> - <a href="links_deletecampaign.php?id=' . $row['id'] . '" onclick="return confirm(\'Are you sure you want to delete this campaign?\')">Delete</a></td>';
	$table .= '</tr>';
}

$path = preg_replace("/admin\/(.+).php/","",getenv('SCRIPT_NAME'));

$adddomains = "";
$addlink = "";

if(!checkup())
{
	if($count_domains>=3)
	{
		$adddomains = "disabled";
	}

	$data = $sql->select(array('table'=>'links_campaigns'));
	if(count($data)>=3)
	{
		$addlink = "disabled";
	}
}
else
{
	$notice = "";
}

$page->assign(array(
			'THISDOMAIN' => getenv("SERVER_NAME"),
			'PATH' => $path,
			'DOMAIN_DROPDOWN' => $dropdown,
			'DOMAIN_DROPDOWN2' => $dropdown2,
			'CAMPAIGN_TABLE' => $table,
			'ADDDOMAINS' => $adddomains,
			'ADDLINK' => $addlink,
			'PAGINATION' => $pagination));

$header = str_replace('{NOTICE}',$notice,file_get_contents("templates/header.tpl"));
echo $header;

$page->display('./templates/links_admin.tpl');

include "templates/footer.tpl";

?>
